<html>
<head>
	<title>Update Status Dailytask</title>
</head>
<body>
	<form method="put">
		<label>Id</label>
		<input type="text" name="id_dt" id="id_dt"/><br/>
		<label>Status</label>
		<select name="status_dt" id="status_dt">
			<option value="To Do">To Do</option>
			<option value="On Going">On Going</option>
			<option value="Pending">Pending</option>
			<option value="Done">Done</option>
		</select><br/>

		<input type="button" value="submit" onclick="sendAsJson()" />
	</form>
	<script>
		async function sendAsJson() {
			let data = {};
			let keys = ['id_dt','status_dt']
			for(let k of keys) {
				data[k] = document.getElementById(k).value;
			}
			let res = await fetch('',{
				method:'POST',
				headers: {
					'content-type': 'application/json'
				},
				body: JSON.stringify(data)
			})
			res.json().then(data => {
				console.log(data);
			});
		}
	</script>
</body>
</html>
